<template>
  <a-input v-model="data" class="h-10" v-bind="$attrs" @change="onChange">
  </a-input>
</template>

<script>
export default {
  model: {
    prop: "value",
    event: "input",
  },
  props: {
    value: {
      type: String,
      default: "",
    },
  },

  data() {
    return {
      data: "",
    };
  },

  watch: {
    value(val) {
      this.data = val;
    },
  },
  methods: {
    onChange() {
      this.$emit("input", this.data);
    },
  },
};
</script>
